# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`rkhunter`](#rkhunter): == Class: rkhunter  This module manages rkhunter  === Parameters  === Variables  === Examples  === Authors  Author Thomas Bendler <project@be
* [`rkhunter::config`](#rkhunterconfig): Class: rkhunter::config  This module contain the configuration for rkhunter  === Parameters
* [`rkhunter::package`](#rkhunterpackage): Class: rkhunter::package  This module contain the package configuration for rkhunter  Parameters:  Actions:  Requires:  Sample Usage:
* [`rkhunter::params`](#rkhunterparams): Class: rkhunter::params  This module contain the parameters for rkhunter  Parameters:   This module has no parameters  Actions:      This mod
* [`rkhunter::service`](#rkhunterservice): Class: rkhunter::service  This module contain the service configuration for rkhunter  Parameters:   This module has no parameters  Actions:  

## Classes

### rkhunter

== Class: rkhunter

This module manages rkhunter

=== Parameters

=== Variables

=== Examples

=== Authors

Author Thomas Bendler <project@bendler-net.de>

=== Copyright

Copyright 2019 Thomas Bendler

#### Examples

##### Declaring the class

```puppet
class { '::rkhunter':
  tftp => true,
  sshd_root => 'without-password'
}
```

#### Parameters

The following parameters are available in the `rkhunter` class.

##### `tftp`

Data type: `Any`

boolean, should tftp check be enabled or disabled

Default value: $rkhunter::params::tftp

##### `check_mk`

Data type: `Any`

boolean, should check_mk check be enabled or disabled

Default value: $rkhunter::params::check_mk

##### `root_email`

Data type: `Any`

Set the root email address that get notifications if events occur

Default value: $rkhunter::params::root_email

##### `warning_email`

Data type: `Any`

Set the email address that gets notifications if warnings occur

Default value: $rkhunter::params::warning_email

##### `enable_warning_email`

Data type: `Any`

Set to true to send emails on warnings (default: false)

Default value: $rkhunter::params::enable_warning_email

##### `remote_syslog`

Data type: `Any`

Set to true when remote syslog is enabled

Default value: $rkhunter::params::remote_syslog

##### `tftp`

Ignore check errors forced by tftp

Default value: $rkhunter::params::tftp

##### `check_mk`

Ignore check errors forced by check_mk

Default value: $rkhunter::params::check_mk

##### `check_mk_script`

Data type: `Any`

Define the location of the check_mk script

Default value: $rkhunter::params::check_mk_script

##### `oracle_xe`

Data type: `Any`

Ignore check errors forced by Oracle XE

Default value: $rkhunter::params::oracle_xe

##### `sap_igs`

Data type: `Any`

Ignore check errors forced by SAP IGS

Default value: $rkhunter::params::sap_igs

##### `sap_icm`

Data type: `Any`

Ignore check errors forced by SAP ICM

Default value: $rkhunter::params::sap_icm

##### `sap_db`

Data type: `Any`

Ignore check errors forced by SAPDB/MaxDB

Default value: $rkhunter::params::sap_db

##### `sshd_root`

Data type: `Any`

Surpress warning if root login is permit. Should be the same as PermitRootLogin in sshd_config

Default value: $rkhunter::params::sshd_root

##### `ssh_prot_v1`

Data type: `Any`

Define the minimum ssh protocol version, should be 2

Default value: $rkhunter::params::ssh_prot_v1

##### `web_cmd`

Data type: `Any`

Command used to retrieve files from the internet (ie: while running with --update)

Default value: $rkhunter::params::web_cmd

##### `disable_tests`

Data type: `Any`

List of test that should not be performed

Default value: $rkhunter::params::disable_tests

##### `cron_daily_run`

Data type: `Any`

Enable/Disable Cron daily runs

Default value: $rkhunter::params::cron_daily_run

##### `cron_db_update`

Data type: `Any`

Enable/Disable Cron database update runs

Default value: $rkhunter::params::cron_db_update

### rkhunter::config

Class: rkhunter::config

This module contain the configuration for rkhunter

=== Parameters

#### Parameters

The following parameters are available in the `rkhunter::config` class.

##### `allow_parameters`

Data type: `Any`

List of custom parameters

Default value: {}

### rkhunter::package

Class: rkhunter::package

This module contain the package configuration for rkhunter

Parameters:

Actions:

Requires:

Sample Usage:

### rkhunter::params

Class: rkhunter::params

This module contain the parameters for rkhunter

Parameters:   This module has no parameters

Actions:      This module has no actions

Requires:     This module has no requirements

Sample Usage: include rkhunter::params

### rkhunter::service

Class: rkhunter::service

This module contain the service configuration for rkhunter

Parameters:   This module has no parameters

Actions:      This module has no actions

Requires:     This module has no requirements

Sample Usage: include rkhunter::service

